def var chVar as character.
def var chVar64 as longchar.
def var attrName as character.
def var attrName64 as longchar.
def var intVar as integer.
def var hSaxHandle as handle.
def var hSaxReader as handle.
def var hSaxReader1 as handle.
def var hSaxReader2 as handle.
def var hSaxReader3 as handle.
def var hSaxReader4 as handle.
def var hSaxWriter as handle.
def var hSaxWriter1 as handle.
def var hSaxWriter2 as handle.
def var hSaxWriter3 as handle.
def var hSaxWriter4 as handle.
def var hSaxAttrib as handle.
def var hSaxAttrib1 as handle.
def var hSaxAttrib2 as handle.
def var hSaxAttrib3 as handle.
def var hSaxAttrib4 as handle.
def var errStat as logical.
def var hHandleSys as handle.
def var memoryPointer as memptr.
def var hXNoderef as handle.

/* Statements testing conversion */
create sax-reader hSaxReader.
create sax-reader hSaxReader1 in widget-pool chVar.
create sax-reader hSaxReader2 in widget-pool "SaxWidgetPool".
create sax-reader hSaxReader3 no-error.
create sax-reader hSaxReader4 in widget-pool chVar no-error.
create sax-writer hSaxWriter.
create sax-writer hSaxWriter1 in widget-pool chVar.
create sax-writer hSaxWriter2 in widget-pool "SaxWidgetPool".
create sax-writer hSaxWriter3 no-error.
create sax-writer hSaxWriter4 in widget-pool chVar no-error.
create sax-attributes hSaxAttrib.
create sax-attributes hSaxAttrib1 in widget-pool chVar.
create sax-attributes hSaxAttrib2 in widget-pool "SaxWidgetPool".
create sax-attributes hSaxAttrib3 no-error.
create sax-attributes hSaxAttrib4 in widget-pool chVar no-error.

/* Attributes testing conversion */
chVar = hSaxWriter:encoding.
hSaxWriter:encoding = chVar.
hSaxWriter:encoding = "NewEncoding".
errStat = hSaxWriter:formatted.
hSaxWriter:formatted = true.
hSaxWriter:formatted = errStat.
hSaxHandle = hSaxReader:handler.
hSaxReader1:handler = hSaxHandle.
intVar = hSaxReader:locator-column-number.
intVar = hSaxReader:locator-line-number.
intVar = hSaxReader:parse-status.
errStat = hSaxWriter:strict.
hSaxWriter1:strict = errStat.

errStat = hSaxWriter:fragment.
hSaxWriter1:fragment = errStat.
hSaxWriter1:fragment = true.
chVar = hSaxReader:locator-public-id.
chVar = hSaxReader:locator-system-id.
chVar = hSaxReader:nonamespace-schema-location.
hSaxReader1:nonamespace-schema-location = chVar.
hSaxReader1:nonamespace-schema-location = "newSchemaLocation".
intVar = hSaxAttrib:num-items.

chVar = hSaxReader:schema-location.
hSaxReader1:schema-location = chVar.
hSaxReader1:schema-location = "newSchemaLocation".

chVar = hSaxReader:schema-path.
hSaxReader1:schema-path = chVar.
hSaxReader1:schema-path = "newSchemaPath".

errStat = hSaxWriter:standalone.
hSaxWriter1:standalone = errStat.
hSaxWriter1:standalone = true.

errStat = hSaxReader:suppress-namespace-processing.
hSaxReader1:suppress-namespace-processing = errStat.
hSaxReader1:suppress-namespace-processing = true.

errStat = hSaxReader:validation-enabled.
hSaxReader1:validation-enabled = errStat.
hSaxReader1:validation-enabled = true.

chVar = hSaxWriter:version.
hSaxWriter:version = chVar.
hSaxWriter:version = "newVersion".
chVar = hSaxWriter:write-status.

/*intVar = hSaxAttrib:unique-id.
intVar = hSaxReader:unique-id.*/

/* Methods testing conversion */
errStat = hSaxWriter:declare-namespace(chVar).
errStat = hSaxWriter:declare-namespace(chVar64).
errStat = hSaxWriter:declare-namespace("NameSpaceURI").
errStat = hSaxWriter:declare-namespace(chVar, chVar).
errStat = hSaxWriter:declare-namespace(chVar64, chVar).
errStat = hSaxWriter:declare-namespace("NameSpaceURI", chVar).
errStat = hSaxWriter:declare-namespace(chVar, chVar64).
errStat = hSaxWriter:declare-namespace(chVar64, chVar64).
errStat = hSaxWriter:declare-namespace("NameSpaceURI", chVar64).
errStat = hSaxWriter:declare-namespace(chVar, "prefix").
errStat = hSaxWriter:declare-namespace(chVar64, "prefix").
errStat = hSaxWriter:declare-namespace("NameSpaceURI", "prefix").
hSaxWriter:declare-namespace(chVar64, chVar64).

errStat = hSaxWriter:end-document().
errStat = hSaxWriter:end-element(chVar).
errStat = hSaxWriter:end-element(chVar64).
errStat = hSaxWriter:end-element("Name").
errStat = hSaxWriter:end-element(chVar, chVar).
errStat = hSaxWriter:end-element(chVar64, chVar).
errStat = hSaxWriter:end-element("Name", chVar).
errStat = hSaxWriter:end-element(chVar, chVar64).
errStat = hSaxWriter:end-element(chVar64, chVar64).
errStat = hSaxWriter:end-element("Name", chVar64).
errStat = hSaxWriter:end-element(chVar, "NameSpaceURI").
errStat = hSaxWriter:end-element(chVar64, "NameSpaceURI").
errStat = hSaxWriter:end-element("Name", "NameSpaceURI").
hSaxWriter:end-element(chVar64, chVar64).

chVar = hSaxAttrib:get-value-by-index(intVar).
chVar = hSaxAttrib:get-value-by-index(10).

errStat = hSaxAttrib:insert-attribute(chVar, chVar).
errStat = hSaxAttrib:insert-attribute(chVar64, chVar).
errStat = hSaxAttrib:insert-attribute(chVar64, chVar64).
errStat = hSaxAttrib:insert-attribute("Name", chVar).
errStat = hSaxAttrib:insert-attribute("Name", chVar64).
errStat = hSaxAttrib:insert-attribute(chVar, "Value").
errStat = hSaxAttrib:insert-attribute(chVar64, "Value").
errStat = hSaxAttrib:insert-attribute(chVar, chVar, chVar).
errStat = hSaxAttrib:insert-attribute(chVar64, chVar, chVar).
errStat = hSaxAttrib:insert-attribute(chVar64, chVar64, chVar).
errStat = hSaxAttrib:insert-attribute("Name", chVar, chVar).
errStat = hSaxAttrib:insert-attribute("Name", chVar64, chVar).
errStat = hSaxAttrib:insert-attribute(chVar, "Value", chVar).
errStat = hSaxAttrib:insert-attribute(chVar64, "Value", chVar).
errStat = hSaxAttrib:insert-attribute(chVar, chVar, chVar64).
errStat = hSaxAttrib:insert-attribute(chVar64, chVar, chVar64).
errStat = hSaxAttrib:insert-attribute(chVar64, chVar64, chVar64).
errStat = hSaxAttrib:insert-attribute("Name", chVar, chVar64).
errStat = hSaxAttrib:insert-attribute("Name", chVar64, chVar64).
errStat = hSaxAttrib:insert-attribute(chVar, "Value", chVar64).
errStat = hSaxAttrib:insert-attribute(chVar64, "Value", chVar64).
errStat = hSaxAttrib:insert-attribute(chVar, chVar, "NameSpaceURI").
errStat = hSaxAttrib:insert-attribute(chVar64, chVar, "NameSpaceURI").
errStat = hSaxAttrib:insert-attribute(chVar64, chVar64, "NameSpaceURI").
errStat = hSaxAttrib:insert-attribute("Name", chVar, "NameSpaceURI").
errStat = hSaxAttrib:insert-attribute("Name", chVar64, "NameSpaceURI").
errStat = hSaxAttrib:insert-attribute(chVar, "Value", "NameSpaceURI").
errStat = hSaxAttrib:insert-attribute(chVar64, "Value", "NameSpaceURI").
errStat = hSaxWriter:insert-attribute(chVar, chVar).
errStat = hSaxWriter:insert-attribute(chVar64, chVar).
errStat = hSaxWriter:insert-attribute(chVar64, chVar64).
errStat = hSaxWriter:insert-attribute("Name", chVar).
errStat = hSaxWriter:insert-attribute("Name", chVar64).
errStat = hSaxWriter:insert-attribute(chVar, "Value").
errStat = hSaxWriter:insert-attribute(chVar64, "Value").
errStat = hSaxWriter:insert-attribute(chVar, chVar, chVar).
errStat = hSaxWriter:insert-attribute(chVar64, chVar, chVar).
errStat = hSaxWriter:insert-attribute(chVar64, chVar64, chVar).
errStat = hSaxWriter:insert-attribute("Name", chVar, chVar).
errStat = hSaxWriter:insert-attribute("Name", chVar64, chVar).
errStat = hSaxWriter:insert-attribute(chVar, "Value", chVar).
errStat = hSaxWriter:insert-attribute(chVar64, "Value", chVar).
errStat = hSaxWriter:insert-attribute(chVar, chVar, chVar64).
errStat = hSaxWriter:insert-attribute(chVar64, chVar, chVar64).
errStat = hSaxWriter:insert-attribute(chVar64, chVar64, chVar64).
errStat = hSaxWriter:insert-attribute("Name", chVar, chVar64).
errStat = hSaxWriter:insert-attribute("Name", chVar64, chVar64).
errStat = hSaxWriter:insert-attribute(chVar, "Value", chVar64).
errStat = hSaxWriter:insert-attribute(chVar64, "Value", chVar64).
errStat = hSaxWriter:insert-attribute(chVar, chVar, "NameSpaceURI").
errStat = hSaxWriter:insert-attribute(chVar64, chVar, "NameSpaceURI").
errStat = hSaxWriter:insert-attribute(chVar64, chVar64, "NameSpaceURI").
errStat = hSaxWriter:insert-attribute("Name", chVar, "NameSpaceURI").
errStat = hSaxWriter:insert-attribute("Name", chVar64, "NameSpaceURI").
errStat = hSaxWriter:insert-attribute(chVar, "Value", "NameSpaceURI").
errStat = hSaxWriter:insert-attribute(chVar64, "Value", "NameSpaceURI").
hSaxAttrib:insert-attribute(chVar64, chVar64, chVar64).
hSaxWriter:insert-attribute(chVar64, chVar64, chVar).

hSaxReader:sax-parse().
hSaxReader:sax-parse-first().
hSaxReader:sax-parse-next().

errStat = hSaxReader:set-input-source(chVar, chVar).
errStat = hSaxReader:set-input-source(chVar, "filename").
errStat = hSaxReader:set-input-source(chVar, hHandleSys).
errStat = hSaxReader:set-input-source(chVar, chVar64).
errStat = hSaxReader:set-input-source(chVar, memoryPointer).
errStat = hSaxReader:set-input-source("mode", chVar).
errStat = hSaxReader:set-input-source("mode", "filename").
errStat = hSaxReader:set-input-source("mode", hHandleSys).
errStat = hSaxReader:set-input-source("mode", chVar64).
errStat = hSaxReader:set-input-source("mode", memoryPointer).
hSaxReader:set-input-source(chVar, memoryPointer).

errStat = hSaxWriter:set-output-destination(chVar, chVar).
errStat = hSaxWriter:set-output-destination(chVar, "filename").
errStat = hSaxWriter:set-output-destination(chVar, chVar64).
errStat = hSaxWriter:set-output-destination(chVar, memoryPointer).
errStat = hSaxWriter:set-output-destination("mode", chVar).
errStat = hSaxWriter:set-output-destination("mode", "filename").
errStat = hSaxWriter:set-output-destination("mode", chVar64).
errStat = hSaxWriter:set-output-destination("mode", memoryPointer).
hSaxWriter:set-output-destination(chVar, memoryPointer).

errStat = hSaxWriter:start-document().
hSaxWriter:start-document().

errStat = hSaxWriter:start-element(chVar).
errStat = hSaxWriter:start-element(chVar64).
errStat = hSaxWriter:start-element("name").
errStat = hSaxWriter:start-element(chVar, chVar).
errStat = hSaxWriter:start-element(chVar64, chVar).
errStat = hSaxWriter:start-element("name", chVar).
errStat = hSaxWriter:start-element(chVar, chVar64).
errStat = hSaxWriter:start-element(chVar64, chVar64).
errStat = hSaxWriter:start-element("name", chVar64).
errStat = hSaxWriter:start-element(chVar, "NamespaceURI").
errStat = hSaxWriter:start-element(chVar64, "NamespaceURI").
errStat = hSaxWriter:start-element("name", "NamespaceURI").
errStat = hSaxWriter:start-element(chVar, hSaxAttrib).
errStat = hSaxWriter:start-element(chVar64, hSaxAttrib).
errStat = hSaxWriter:start-element("name", hSaxAttrib).
errStat = hSaxWriter:start-element(chVar, chVar, hSaxAttrib).
errStat = hSaxWriter:start-element(chVar64, chVar, hSaxAttrib).
errStat = hSaxWriter:start-element("name", chVar, hSaxAttrib).
errStat = hSaxWriter:start-element(chVar, chVar64, hSaxAttrib).
errStat = hSaxWriter:start-element(chVar64, chVar64, hSaxAttrib).
errStat = hSaxWriter:start-element("name", chVar64, hSaxAttrib).
errStat = hSaxWriter:start-element(chVar, "NamespaceURI", hSaxAttrib).
errStat = hSaxWriter:start-element(chVar64, "NamespaceURI", hSaxAttrib).
errStat = hSaxWriter:start-element("name", "NamespaceURI", hSaxAttrib).
hSaxWriter:start-element(chVar64, chVar, hSaxAttrib).

errStat = hSaxWriter:write-cdata(chVar).
errStat = hSaxWriter:write-cdata(chVar64).
errStat = hSaxWriter:write-cdata("CDATA_BlockToWrite").
hSaxWriter:write-cdata(chVar64).

errStat = hSaxWriter:write-characters(chVar).
errStat = hSaxWriter:write-characters(chVar64).
errStat = hSaxWriter:write-characters("CDATA_BlockToWrite").
hSaxWriter:write-characters(chVar64).

errStat = hSaxWriter:write-data-element(chVar, chVar).
errStat = hSaxWriter:write-data-element(chVar, chVar64).
errStat = hSaxWriter:write-data-element(chVar64, chVar).
errStat = hSaxWriter:write-data-element(chVar64, chVar64).
errStat = hSaxWriter:write-data-element("name", chVar).
errStat = hSaxWriter:write-data-element("name", chVar64).
errStat = hSaxWriter:write-data-element(chVar, "data").
errStat = hSaxWriter:write-data-element(chVar64, "data").
errStat = hSaxWriter:write-data-element(chVar, chVar, chVar).
errStat = hSaxWriter:write-data-element(chVar, chVar64, chVar).
errStat = hSaxWriter:write-data-element(chVar64, chVar, chVar).
errStat = hSaxWriter:write-data-element(chVar64, chVar64, chVar).
errStat = hSaxWriter:write-data-element("name", chVar, chVar).
errStat = hSaxWriter:write-data-element("name", chVar64, chVar).
errStat = hSaxWriter:write-data-element(chVar, "data", chVar).
errStat = hSaxWriter:write-data-element(chVar64, "data", chVar).
errStat = hSaxWriter:write-data-element(chVar, chVar, chVar64).
errStat = hSaxWriter:write-data-element(chVar, chVar64, chVar64).
errStat = hSaxWriter:write-data-element(chVar64, chVar, chVar64).
errStat = hSaxWriter:write-data-element(chVar64, chVar64, chVar64).
errStat = hSaxWriter:write-data-element("name", chVar, chVar64).
errStat = hSaxWriter:write-data-element("name", chVar64, chVar64).
errStat = hSaxWriter:write-data-element(chVar, "data", chVar64).
errStat = hSaxWriter:write-data-element(chVar64, "data", chVar64).
errStat = hSaxWriter:write-data-element(chVar, chVar, "NamespaceURI").
errStat = hSaxWriter:write-data-element(chVar, chVar64, "NamespaceURI").
errStat = hSaxWriter:write-data-element(chVar64, chVar, "NamespaceURI").
errStat = hSaxWriter:write-data-element(chVar64, chVar64, "NamespaceURI").
errStat = hSaxWriter:write-data-element("name", chVar, "NamespaceURI").
errStat = hSaxWriter:write-data-element("name", chVar64, "NamespaceURI").
errStat = hSaxWriter:write-data-element(chVar, "data", "NamespaceURI").
errStat = hSaxWriter:write-data-element(chVar64, "data", "NamespaceURI").
errStat = hSaxWriter:write-data-element(chVar, chVar, hSaxAttrib).
errStat = hSaxWriter:write-data-element(chVar, chVar64, hSaxAttrib).
errStat = hSaxWriter:write-data-element(chVar64, chVar, hSaxAttrib).
errStat = hSaxWriter:write-data-element(chVar64, chVar64, hSaxAttrib).
errStat = hSaxWriter:write-data-element("name", chVar, hSaxAttrib).
errStat = hSaxWriter:write-data-element("name", chVar64, hSaxAttrib).
errStat = hSaxWriter:write-data-element(chVar, "data", hSaxAttrib).
errStat = hSaxWriter:write-data-element(chVar64, "data", hSaxAttrib).
errStat = hSaxWriter:write-data-element(chVar, chVar, chVar, hSaxAttrib).
errStat = hSaxWriter:write-data-element(chVar, chVar64, chVar, hSaxAttrib).
errStat = hSaxWriter:write-data-element(chVar64, chVar, chVar, hSaxAttrib).
errStat = hSaxWriter:write-data-element(chVar64, chVar64, chVar, hSaxAttrib).
errStat = hSaxWriter:write-data-element("name", chVar, chVar, hSaxAttrib).
errStat = hSaxWriter:write-data-element("name", chVar64, chVar, hSaxAttrib).
errStat = hSaxWriter:write-data-element(chVar, "data", chVar, hSaxAttrib).
errStat = hSaxWriter:write-data-element(chVar64, "data", chVar, hSaxAttrib).
errStat = hSaxWriter:write-data-element(chVar, chVar, chVar64, hSaxAttrib).
errStat = hSaxWriter:write-data-element(chVar, chVar64, chVar64, hSaxAttrib).
errStat = hSaxWriter:write-data-element(chVar64, chVar, chVar64, hSaxAttrib).
errStat = hSaxWriter:write-data-element(chVar64, chVar64, chVar64, hSaxAttrib).
errStat = hSaxWriter:write-data-element("name", chVar, chVar64, hSaxAttrib).
errStat = hSaxWriter:write-data-element("name", chVar64, chVar64, hSaxAttrib).
errStat = hSaxWriter:write-data-element(chVar, "data", chVar64, hSaxAttrib).
errStat = hSaxWriter:write-data-element(chVar64, "data", chVar64, hSaxAttrib).
errStat = hSaxWriter:write-data-element(chVar, chVar, "NamespaceURI", hSaxAttrib).
errStat = hSaxWriter:write-data-element(chVar, chVar64, "NamespaceURI", hSaxAttrib).
errStat = hSaxWriter:write-data-element(chVar64, chVar, "NamespaceURI", hSaxAttrib).
errStat = hSaxWriter:write-data-element(chVar64, chVar64, "NamespaceURI", hSaxAttrib).
errStat = hSaxWriter:write-data-element("name", chVar, "NamespaceURI", hSaxAttrib).
errStat = hSaxWriter:write-data-element("name", chVar64, "NamespaceURI", hSaxAttrib).
errStat = hSaxWriter:write-data-element(chVar, "data", "NamespaceURI", hSaxAttrib).
errStat = hSaxWriter:write-data-element(chVar64, "data", "NamespaceURI", hSaxAttrib).
hSaxWriter:write-data-element(chVar, chVar, chVar64, hSaxAttrib).

errStat = hSaxWriter:write-fragment(chVar).
errStat = hSaxWriter:write-fragment(chVar64).
errStat = hSaxWriter:write-fragment("FragmentToWrite").
errStat = hSaxWriter:write-fragment(hXNoderef).
hSaxWriter:write-fragment(chVar64).

errStat = hSaxAttrib:copy-sax-attributes(hSaxAttrib1).
hSaxAttrib2:copy-sax-attributes(hSaxAttrib1).

intVar = hSaxAttrib:get-index-by-namespace-name(chVar, chVar).
intVar = hSaxAttrib:get-index-by-namespace-name(chVar, chVar64).
intVar = hSaxAttrib:get-index-by-namespace-name(chVar64, chVar).
intVar = hSaxAttrib:get-index-by-namespace-name(chVar64, chVar64).
intVar = hSaxAttrib:get-index-by-namespace-name("URI", chVar).
intVar = hSaxAttrib:get-index-by-namespace-name("URI", chVar64).
intVar = hSaxAttrib:get-index-by-namespace-name(chVar, "localname").
intVar = hSaxAttrib:get-index-by-namespace-name(chVar64, "localname").
hSaxAttrib:get-index-by-namespace-name(chVar64, chVar64).

intVar = hSaxAttrib:get-index-by-qname(chVar).
intVar = hSaxAttrib:get-index-by-qname("qname").
hSaxAttrib:get-index-by-qname(chVar).

chVar = hSaxAttrib:get-localname-by-index(intVar).
chVar = hSaxAttrib:get-localname-by-index(2).
hSaxAttrib:get-localname-by-index(intVar).

chVar = hSaxAttrib:get-qname-by-index(intVar).
chVar = hSaxAttrib:get-qname-by-index(5).
hSaxAttrib:get-qname-by-index(intVar).

chVar = hSaxAttrib:get-type-by-index(intVar).
chVar = hSaxAttrib:get-type-by-index(7).
hSaxAttrib:get-type-by-index(intVar).

chVar = hSaxAttrib:get-type-by-namespace-name(chVar, chVar).
chVar = hSaxAttrib:get-type-by-namespace-name(chVar64, chVar).
chVar = hSaxAttrib:get-type-by-namespace-name("URI", chVar).
chVar = hSaxAttrib:get-type-by-namespace-name(chVar, "localname").
chVar = hSaxAttrib:get-type-by-namespace-name(chVar64, "localname").
chVar = hSaxAttrib:get-type-by-namespace-name("URI", "localname").
hSaxAttrib:get-type-by-namespace-name(chVar64, chVar).

chVar = hSaxAttrib:get-type-by-qname(chVar).
chVar = hSaxAttrib:get-type-by-qname("qname").
hSaxAttrib:get-type-by-qname(chVar).

chVar = hSaxAttrib:get-uri-by-index(intVar).
chVar = hSaxAttrib:get-uri-by-index(7).
hSaxAttrib:get-uri-by-index(intVar).

chVar = hSaxAttrib:get-value-by-namespace-name(chVar, chVar).
chVar = hSaxAttrib:get-value-by-namespace-name(chVar, chVar64).
chVar = hSaxAttrib:get-value-by-namespace-name(chVar64, chVar).
chVar = hSaxAttrib:get-value-by-namespace-name(chVar64, chVar64).
chVar = hSaxAttrib:get-value-by-namespace-name("URI", chVar).
chVar = hSaxAttrib:get-value-by-namespace-name("URI", chVar64).
chVar = hSaxAttrib:get-value-by-namespace-name(chVar, "localname").
chVar = hSaxAttrib:get-value-by-namespace-name(chVar64, "localname").
hSaxAttrib:get-value-by-namespace-name(chVar64, chVar64).

chVar = hSaxAttrib:get-value-by-qname(chVar).
chVar = hSaxAttrib:get-value-by-qname("qname").
hSaxAttrib:get-value-by-qname(chVar).

errStat = hSaxWriter:reset().
hSaxWriter:reset().
errStat = hSaxReader:stop-parsing().
hSaxReader:stop-parsing().

errStat = hSaxAttrib:update-attribute(chVar, chVar).
errStat = hSaxAttrib:update-attribute(chVar, "value").
errStat = hSaxAttrib:update-attribute("attName", chVar).
errStat = hSaxAttrib:update-attribute("attName", "attrValue").
errStat = hSaxAttrib:update-attribute(chVar, chVar, chVar).
errStat = hSaxAttrib:update-attribute(chVar, "value", chVar).
errStat = hSaxAttrib:update-attribute("attName", chVar, chVar).
errStat = hSaxAttrib:update-attribute("attName", "attrValue", chVar).
errStat = hSaxAttrib:update-attribute(chVar, chVar, "NamespaceURI").
errStat = hSaxAttrib:update-attribute(chVar, "value", "NamespaceURI").
errStat = hSaxAttrib:update-attribute("attName", chVar, "NamespaceURI").
errStat = hSaxAttrib:update-attribute("attName", "attrValue", "NamespaceURI").
hSaxAttrib:update-attribute(chVar, chVar, chVar).
errStat = hSaxAttrib:update-attribute(intVar, chVar).
errStat = hSaxAttrib:update-attribute(intVar, "value").
errStat = hSaxAttrib:update-attribute(1, chVar).
errStat = hSaxAttrib:update-attribute(2, "attrValue").
errStat = hSaxAttrib:update-attribute(intVar, chVar, chVar).
errStat = hSaxAttrib:update-attribute(intVar, "value", chVar).
errStat = hSaxAttrib:update-attribute(3, chVar, chVar).
errStat = hSaxAttrib:update-attribute(4, "attrValue", chVar).
errStat = hSaxAttrib:update-attribute(intVar, chVar, "NamespaceURI").
errStat = hSaxAttrib:update-attribute(intVar, "value", "NamespaceURI").
errStat = hSaxAttrib:update-attribute(5, chVar, "NamespaceURI").
errStat = hSaxAttrib:update-attribute(6, "attrValue", "NamespaceURI").
hSaxAttrib:update-attribute(intVar, chVar, chVar).

errStat = hSaxWriter:write-comment(chVar).
errStat = hSaxWriter:write-comment(chVar64).
errStat = hSaxWriter:write-comment("CommentToWrite").
hSaxWriter:write-comment(chVar64).

errStat = hSaxWriter:write-empty-element(chVar).
errStat = hSaxWriter:write-empty-element(chVar64).
errStat = hSaxWriter:write-empty-element("name").
errStat = hSaxWriter:write-empty-element(chVar, chVar).
errStat = hSaxWriter:write-empty-element(chVar64, chVar).
errStat = hSaxWriter:write-empty-element("name", chVar).
errStat = hSaxWriter:write-empty-element(chVar, chVar64).
errStat = hSaxWriter:write-empty-element(chVar64, chVar64).
errStat = hSaxWriter:write-empty-element("name", chVar64).
errStat = hSaxWriter:write-empty-element(chVar, "namespaceURI").
errStat = hSaxWriter:write-empty-element(chVar64, "namespaceURI").
errStat = hSaxWriter:write-empty-element("name", "namespaceURI").
errStat = hSaxWriter:write-empty-element(chVar, hSaxAttrib).
errStat = hSaxWriter:write-empty-element(chVar64, hSaxAttrib).
errStat = hSaxWriter:write-empty-element("name", hSaxAttrib).
errStat = hSaxWriter:write-empty-element(chVar, chVar, hSaxAttrib).
errStat = hSaxWriter:write-empty-element(chVar64, chVar, hSaxAttrib).
errStat = hSaxWriter:write-empty-element("name", chVar, hSaxAttrib).
errStat = hSaxWriter:write-empty-element(chVar, chVar64, hSaxAttrib).
errStat = hSaxWriter:write-empty-element(chVar64, chVar64, hSaxAttrib).
errStat = hSaxWriter:write-empty-element("name", chVar64, hSaxAttrib).
errStat = hSaxWriter:write-empty-element(chVar, "namespaceURI", hSaxAttrib).
errStat = hSaxWriter:write-empty-element(chVar64, "namespaceURI", hSaxAttrib).
errStat = hSaxWriter:write-empty-element("name", "namespaceURI", hSaxAttrib).
hSaxWriter:write-empty-element(chVar64).
hSaxWriter:write-empty-element(chVar64, chVar64).
hSaxWriter:write-empty-element(chVar64, hSaxAttrib).
hSaxWriter:write-empty-element(chVar64, chVar64, hSaxAttrib).

errStat = hSaxWriter:write-entity-ref(chVar).
errStat = hSaxWriter:write-entity-ref(chVar64).
errStat = hSaxWriter:write-entity-ref("name").
hSaxWriter:write-entity-ref(chVar64).

errStat = hSaxWriter:write-external-dtd(chVar, chVar).
errStat = hSaxWriter:write-external-dtd(chVar64, chVar).
errStat = hSaxWriter:write-external-dtd(chVar, chVar64).
errStat = hSaxWriter:write-external-dtd(chVar64, chVar64).
errStat = hSaxWriter:write-external-dtd("name", chVar).
errStat = hSaxWriter:write-external-dtd("name", chVar64).
errStat = hSaxWriter:write-external-dtd(chVar, "systemId").
errStat = hSaxWriter:write-external-dtd(chVar64, "systemId").
errStat = hSaxWriter:write-external-dtd("name", "systemId").
errStat = hSaxWriter:write-external-dtd(chVar, chVar, chVar).
errStat = hSaxWriter:write-external-dtd(chVar64, chVar, chVar).
errStat = hSaxWriter:write-external-dtd(chVar, chVar64, chVar).
errStat = hSaxWriter:write-external-dtd(chVar64, chVar64, chVar).
errStat = hSaxWriter:write-external-dtd("name", chVar, chVar).
errStat = hSaxWriter:write-external-dtd("name", chVar64, chVar).
errStat = hSaxWriter:write-external-dtd(chVar, "systemId", chVar).
errStat = hSaxWriter:write-external-dtd(chVar64, "systemId", chVar).
errStat = hSaxWriter:write-external-dtd("name", "systemId", chVar).
errStat = hSaxWriter:write-external-dtd(chVar, chVar, chVar64).
errStat = hSaxWriter:write-external-dtd(chVar64, chVar, chVar64).
errStat = hSaxWriter:write-external-dtd(chVar, chVar64, chVar64).
errStat = hSaxWriter:write-external-dtd(chVar64, chVar64, chVar64).
errStat = hSaxWriter:write-external-dtd("name", chVar, chVar64).
errStat = hSaxWriter:write-external-dtd("name", chVar64, chVar64).
errStat = hSaxWriter:write-external-dtd(chVar, "systemId", chVar64).
errStat = hSaxWriter:write-external-dtd(chVar64, "systemId", chVar64).
errStat = hSaxWriter:write-external-dtd("name", "systemId", chVar64).
errStat = hSaxWriter:write-external-dtd(chVar, chVar, "publicId").
errStat = hSaxWriter:write-external-dtd(chVar64, chVar, "publicId").
errStat = hSaxWriter:write-external-dtd(chVar, chVar64, "publicId").
errStat = hSaxWriter:write-external-dtd(chVar64, chVar64, "publicId").
errStat = hSaxWriter:write-external-dtd("name", chVar, "publicId").
errStat = hSaxWriter:write-external-dtd("name", chVar64, "publicId").
errStat = hSaxWriter:write-external-dtd(chVar, "systemId", "publicId").
errStat = hSaxWriter:write-external-dtd(chVar64, "systemId", "publicId").
errStat = hSaxWriter:write-external-dtd("name", "systemId", "publicId").
hSaxWriter:write-external-dtd(chVar64, chVar64).
hSaxWriter:write-external-dtd(chVar64, chVar64, chVar64).

errStat = hSaxWriter:write-processing-instruction(chVar, chVar).
errStat = hSaxWriter:write-processing-instruction(chVar64, chVar).
errStat = hSaxWriter:write-processing-instruction(chVar, chVar64).
errStat = hSaxWriter:write-processing-instruction(chVar64, chVar64).
errStat = hSaxWriter:write-processing-instruction("name", chVar).
errStat = hSaxWriter:write-processing-instruction("name", chVar64).
errStat = hSaxWriter:write-processing-instruction(chVar, "systemId").
errStat = hSaxWriter:write-processing-instruction(chVar64, "systemId").
errStat = hSaxWriter:write-processing-instruction("name", "systemId").
hSaxWriter:write-processing-instruction(chVar64, chVar64).

errStat = hSaxReader:add-schema-location(chVar, chVar).
errStat = hSaxReader:add-schema-location(chVar, "location").
errStat = hSaxReader:add-schema-location("TargetNamespace", chVar).
errStat = hSaxReader:add-schema-location("TargetNamespace", "location").
hSaxReader:add-schema-location(chVar, chVar).

errStat = hSaxAttrib:remove-attribute(chVar).
errStat = hSaxAttrib:remove-attribute("name").
errStat = hSaxAttrib:remove-attribute(intVar).
errStat = hSaxAttrib:remove-attribute(2).
errStat = hSaxAttrib:remove-attribute(chVar, chVar).
errStat = hSaxAttrib:remove-attribute("name", chVar).
errStat = hSaxAttrib:remove-attribute(intVar, chVar).
errStat = hSaxAttrib:remove-attribute(2, chVar).
errStat = hSaxAttrib:remove-attribute(chVar, "namespaceUri").
errStat = hSaxAttrib:remove-attribute("name", "namespaceUri").
errStat = hSaxAttrib:remove-attribute(intVar, "namespaceUri").
errStat = hSaxAttrib:remove-attribute(2, "namespaceUri").
hSaxAttrib:remove-attribute(chVar, chVar).
hSaxAttrib:remove-attribute(intVar, chVar).

